Opened 6 years ago

Closed 6 years ago

#21005 closed enhancement (fixed)

Update pari to version 2.8.0

Reported by: vdelecroix Owned by:
Priority: major Milestone: sage-7.4
Component: packages: standard Keywords:
Cc: jdemeyer, vbraun, defeo, fbissey, jpflori Merged in:
Authors: Vincent Delecroix, Jeroen Demeyer Reviewers: Volker Braun, Jeroen Demeyer, Vincent Delecroix
Report Upstream: Fixed upstream, in a later stable release. Work issues:
Branch: 9cf5776 (Commits, GitHub, GitLab) Commit: 9cf577602f84622d6fcceb10c6caa929ac4971bb
Dependencies: Stopgaps:

Status badges

Description (last modified by jdemeyer)

There is a critical bug in the current snapshot of PARI (see #21000).

Later snapshots from PARI have problems with polredbest(), see http://pari.math.u-bordeaux.fr/cgi-bin/bugreport.cgi?bug=1836

Two macros appeared in the doc (\Hom and \Frob) see http://pari.math.u-bordeaux.fr/archives/pari-dev-1607/msg00020.html

Upstream tarball: http://pari.math.u-bordeaux.fr/pub/pari/unstable/pari-2.8.0.alpha.tar.gz

Change History (83)

comment:1 Changed 6 years ago by vdelecroix

  • Branch set to public/21005
  • Commit set to b7511d74644f5e4ade297382eb0f3712b4975952
  • Component changed from interfaces to packages: standard
  • Description modified (diff)
  • Status changed from new to needs_review

New commits:

94b4b67Trac 19779: Hadamard difference sets
7928cc1Trac 19779: input blocks
85485d3Trac 19779: review 1
0e13f24Trac 19779: alternative if/elif flow
9bb3a46Trac 19779: some comment and a better doctest
d785f91Trac 19779: remove cartesian product flattening
9139f67removed extra ':'
f1bd95dTrac 19779: new style print statement
a40e6cfTrac 19779: fix references
b7511d7Trac 19779: new pari release

comment:2 Changed 6 years ago by git

  • Commit changed from b7511d74644f5e4ade297382eb0f3712b4975952 to de2a6c50898f0071ddc4db30121ad244049a4d78

Branch pushed to git repo; I updated commit sha1. This was a forced push. New commits:

de2a6c5Trac 21005: new pari release

comment:3 Changed 6 years ago by git

  • Commit changed from de2a6c50898f0071ddc4db30121ad244049a4d78 to cf2383a32ab9538110be26139b592463778a88bb

Branch pushed to git repo; I updated commit sha1. New commits:

cf2383aTrac 21005: update paridecl.pxd

comment:4 Changed 6 years ago by vdelecroix

  • Description modified (diff)

comment:5 Changed 6 years ago by vbraun

  • Reviewers set to Volker Braun

Positive review if you fill in your name...

comment:6 Changed 6 years ago by vdelecroix

  • Authors set to Vincent Delecroix
  • Cc defeo added
  • Status changed from needs_review to needs_work

I have some trouble with auto generated functions. Some of them disappeared and break doctests (like padicprec).

comment:7 Changed 6 years ago by git

  • Commit changed from cf2383a32ab9538110be26139b592463778a88bb to ee42261c3b937f1a3faceab2a7ad9345a533a6d6

Branch pushed to git repo; I updated commit sha1. New commits:

ee42261Trac 21005: more pari declaration

comment:8 Changed 6 years ago by vdelecroix

  • Status changed from needs_work to needs_review

comment:9 Changed 6 years ago by fbissey

  • Cc fbissey added

comment:10 Changed 6 years ago by jdemeyer

  • Reviewers changed from Volker Braun to Volker Braun, Jeroen Demeyer

positive_review from my part if this passes make ptestlong.

comment:11 Changed 6 years ago by vbraun

  • Status changed from needs_review to needs_work

PDF build fails because of pound sign

src/sage/libs/pari/auto_gen.pxi:        defined by the equation :math:`\#E(\mathbb{F}_q) = q+1 - t`.

then

[docpdf] Overfull \hbox (623.6548pt too wide) in paragraph at lines 21949--21949
[docpdf] [] 
[docpdf] [278] [279] [280] [281]
[docpdf] ! You can't use `macro parameter character #' in math mode.
[docpdf] l.22319 dividing \(#
[docpdf]                     E(\mathbb{F}_q)\).
[docpdf] ? 
[docpdf] ! Emergency stop.
[docpdf] l.22319 dividing \(#
[docpdf]                     E(\mathbb{F}_q)\).
[docpdf] !  ==> Fatal error occurred, no output PDF file produced!
[docpdf] Transcript written on libs.log.
[docpdf] Makefile:68: recipe for target 'libs.pdf' failed
[docpdf] make[2]: *** [libs.pdf] Error 1
[docpdf] make[2]: Leaving directory '/mnt/disk/home/buildslave-sage/slave/sage_git/build/local/share/doc/sage/latex/en/reference/libs'

comment:12 Changed 6 years ago by vdelecroix

Too bad... everything is fine from the sage_setup.autogen.pari side. It generates the perfectly valid formula :math:`\#E(\mathbb{F}_q)`. But then from the log message above it seems that sphinx (?) convert it to (\(#E(\mathbb{F}_q\) which is indeed wrong.

comment:13 Changed 6 years ago by vbraun

No, wrong line. The generated formula is

          dividing :math:`#E(\mathbb{F}_q)`.        

which is invalid TeX.

comment:14 Changed 6 years ago by git

  • Commit changed from ee42261c3b937f1a3faceab2a7ad9345a533a6d6 to a4d97b11b86c84783c8bd1de05ffdc23e646876f

Branch pushed to git repo; I updated commit sha1. This was a forced push. New commits:

c3d7800Trac 21005: new pari release
7a4c7dfTrac 21005: update paridecl.pxd
1aa5230Trac 21005: more pari declaration
a4d97b1Trac 21005: fix pari doc

comment:15 Changed 6 years ago by vdelecroix

  • Status changed from needs_work to needs_review

comment:16 Changed 6 years ago by jdemeyer

There must have been a reason for the \S in the regular expression... I will check if I can find it.

comment:17 Changed 6 years ago by jdemeyer

  • Status changed from needs_review to needs_work

comment:18 Changed 6 years ago by jdemeyer

Fixing this...

comment:19 Changed 6 years ago by git

  • Commit changed from a4d97b11b86c84783c8bd1de05ffdc23e646876f to 357ff688ca66ad3638fb2d38308935a79a09337c

Branch pushed to git repo; I updated commit sha1. This was a forced push. New commits:

6c30ad6Trac 21005: fix pari doc
357ff68Fix escaping of special characters in lists

comment:20 follow-up: Changed 6 years ago by jdemeyer

  • Status changed from needs_work to needs_review

This version gives better results, needs_review.

Why is this a blocker by the way?

comment:21 in reply to: ↑ 20 ; follow-up: Changed 6 years ago by vdelecroix

Replying to jdemeyer:

Why is this a blocker by the way?

#21000 is a major bug to be fixed.

comment:22 Changed 6 years ago by vdelecroix

  • Status changed from needs_review to positive_review

comment:23 Changed 6 years ago by vdelecroix

  • Authors changed from Vincent Delecroix to Vincent Delecroix, Jeroen Demeyer
  • Reviewers changed from Volker Braun, Jeroen Demeyer to Volker Braun, Jeroen Demeyer, Vincent Delecroix

comment:24 Changed 6 years ago by vbraun

  • Status changed from positive_review to needs_work

There are a bunch of failures of the form

File "src/sage/rings/qqbar.py", line 4536, in sage.rings.qqbar.AlgebraicReal._floor_ceil
Failed example:
    [one_half.round(), (-one_half).round()] # long time
Exception raised:
    Traceback (most recent call last):
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/doctest/forker.py", line 499, in _run
        self.compile_and_execute(example, compiler, test.globs)
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/doctest/forker.py", line 862, in compile_and_execute
        exec(compiled, globs)
      File "<doctest sage.rings.qqbar.AlgebraicReal._floor_ceil[7]>", line 1, in <module>
        [one_half.round(), (-one_half).round()] # long time
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 4602, in round
        return self._floor_ceil(lambda x: x.round())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 4547, in _floor_ceil
        return method(self._rational_())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 4640, in _rational_
        self.exactify()
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 3270, in exactify
        self._set_descr(self._descr.exactify())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 7063, in exactify
        right.exactify()
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 3270, in exactify
        self._set_descr(self._descr.exactify())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 7062, in exactify
        left.exactify()
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 3270, in exactify
        self._set_descr(self._descr.exactify())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 7062, in exactify
        left.exactify()
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 3270, in exactify
        self._set_descr(self._descr.exactify())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 7062, in exactify
        left.exactify()
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 3270, in exactify
        self._set_descr(self._descr.exactify())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 7062, in exactify
        left.exactify()
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 3270, in exactify
        self._set_descr(self._descr.exactify())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 7062, in exactify
        left.exactify()
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 3270, in exactify
        self._set_descr(self._descr.exactify())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 7064, in exactify
        gen = left._exact_field().union(right._exact_field())
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 2409, in union
        red_elt, red_back, red_pol = do_polred(newpol_sage_y)
      File "/home/buildbot/slave/sage_git/build/local/lib/python2.7/site-packages/sage/rings/qqbar.py", line 1712, in do_polred
        new_poly, elt_back = poly._pari_().polredbest(flag=1)
      File "sage/libs/pari/auto_gen.pxi", line 15978, in sage.libs.pari.gen.gen_auto.polredbest (/home/buildbot/slave/sage_git/build/src/build/cythonized/sage/libs/pari/gen.c:82406)
        sig_on()
      File "sage/libs/pari/handle_error.pyx", line 181, in sage.libs.pari.handle_error._pari_err_handle (/home/buildbot/slave/sage_git/build/src/build/cythonized/sage/libs/pari/handle_error.c:3102)
        raise PariError(errnum, pari_error_string, pari_instance.new_gen_noclear(E))
    PariError: impossible inverse in Fl_inv: Mod(2120213466, 2148532227)
**********************************************************************
1 item had failures:
   2 of   9 in sage.rings.qqbar.AlgebraicReal._floor_ceil
    [1333 tests, 2 failures, 172.84 s]

comment:25 in reply to: ↑ 21 Changed 6 years ago by jdemeyer

Replying to vdelecroix:

Replying to jdemeyer:

Why is this a blocker by the way?

#21000 is a major bug to be fixed.

Ordinary bugs usually are not blockers. Anyway, I let the release manager decide...

comment:26 Changed 6 years ago by vbraun

Obviously depends on the severity of the bug ;-)

In any case, as long as no working upstream Pari release surfaces we don't have a choice.

comment:27 Changed 6 years ago by jdemeyer

I am now trying the current PARI master.

comment:28 Changed 6 years ago by jdemeyer

  • Description modified (diff)

comment:29 Changed 6 years ago by git

  • Commit changed from 357ff688ca66ad3638fb2d38308935a79a09337c to 6b223cb4a2d2d2b6002d9fbd3a6fbcb7f14eb226

Branch pushed to git repo; I updated commit sha1. New commits:

6b223cbUpgrade PARI to latest upstream master

comment:30 Changed 6 years ago by jdemeyer

  • Status changed from needs_work to needs_review

Note to the reviewer: the changed output from elllocalred() is harmless: the old transformations were invertible over ZZ, so they didn't really change the model of the curve. PARI now gives the trivial transformation [1,0,0,0] in these cases.

comment:31 follow-up: Changed 6 years ago by vdelecroix

  • Status changed from needs_review to needs_work

I got timeout in qqbar.py

Namely, on the current beta

sage: x = polygen(QQ)
sage: a = AA.polynomial_root(x^5 - (1-2^(-80)), RIF((0,2)))
sage: b = AA.polynomial_root(x^5 - (1+2^(-80)), RIF((0,2)))
sage: two = (a+b)^5 - 5*(a^4*b+a*b^4) - 10*(a^3*b^2+a^2*b^3) 
sage: one_half = 1/two
sage: %time one_half.round()
CPU times: user 4.08 s, sys: 8 ms, total: 4.08 s
Wall time: 4.08 s
1

and with the updated pari release

sage: %time one_half.round()  # hangs forever...

comment:32 Changed 6 years ago by vdelecroix

Relevant part of the traceback after Ctrl-C

.../sage/rings/qqbar.pyc in union(self, other)
   2408 
-> 2409         red_elt, red_back, red_pol = do_polred(newpol_sage_y)
   2410 
.../sage/rings/qqbar.pyc in do_polred(poly)
   1711     """
-> 1712     new_poly, elt_back = poly._pari_().polredbest(flag=1)
   1713 
.../sage/libs/pari/auto_gen.pxi in sage.libs.pari.gen.gen_auto.polredbest (build/cythonized/sage/libs/pari/gen.c:82406)()
  15975         cdef GEN _T = T.g
> 15976         sig_on()
  15977         cdef GEN _ret = polredbest(_T, flag)
  15978         return pari_instance.new_gen(_ret)
src/cysignals/signals.pyx in cysignals.signals.sig_raise_exception (build/src/cysignals/signals.c:1125)()

comment:33 Changed 6 years ago by jdemeyer

You're sure that you updated to my branch, right?

comment:34 in reply to: ↑ 31 Changed 6 years ago by jdemeyer

Replying to vdelecroix:

I got timeout in qqbar.py

Confirmed...

I guess I only ran non-long doctests, that's why I didn't see this.

comment:35 Changed 6 years ago by jdemeyer

In gp:

Without this ticket:

gp> polredbest(y^25 - 10*y^20 + 913438523331814323877303020447676887284957839359415*y^15 + 5480631139990885943263818122686061323709747036156170*y^10 + 6674959487252844007484442831779850358133451632359059274944514138501172824941815657498046774640640705*y^5 - 32)
time = 10,360 ms.
%1 = y^25 - 10*y^20 + 913438523331814323877303020447676887284957839359415*y^15 + 5480631139990885943263818122686061323709747036156170*y^10 + 6674959487252844007484442831779850358133451632359059274944514138501172824941815657498046774640640705*y^5 - 32

With this ticket, it seems to hang.

comment:36 Changed 6 years ago by jdemeyer

I submitted an upstream bug for this.

comment:37 Changed 6 years ago by jdemeyer

  • Description modified (diff)
  • Report Upstream changed from N/A to Reported upstream. No feedback yet.

comment:38 Changed 6 years ago by jdemeyer

  • Report Upstream changed from Reported upstream. No feedback yet. to Fixed upstream, but not in a stable release.

comment:39 Changed 6 years ago by jdemeyer

I'll prepare a new tarball...

comment:40 Changed 6 years ago by jdemeyer

  • Description modified (diff)

comment:41 Changed 6 years ago by git

  • Commit changed from 6b223cb4a2d2d2b6002d9fbd3a6fbcb7f14eb226 to 55e0bab872322fff53c65929a7d285e6002b63f3

Branch pushed to git repo; I updated commit sha1. This was a forced push. New commits:

55e0babTrac 21005: Upgrade PARI to latest upstream master

comment:42 Changed 6 years ago by jdemeyer

  • Status changed from needs_work to needs_review

Here it is, totally untested though...

comment:43 Changed 6 years ago by jdemeyer

  • Status changed from needs_review to needs_work
[pari-2.8-2971-gccd5bdf.p0] PROBLEMS WERE NOTED. The following files list them in diff format: 
[pari-2.8-2971-gccd5bdf.p0] Directory: /usr/local/src/sage-config/local/var/tmp/sage/build/pari-2.8-2971-gccd5bdf.p0/src/Olinux-x86_64
[pari-2.8-2971-gccd5bdf.p0]     ell-sta.dif
[pari-2.8-2971-gccd5bdf.p0]     ell-dyn.dif
[pari-2.8-2971-gccd5bdf.p0] Makefile:353: recipe for target 'test-all' failed

comment:44 Changed 6 years ago by jdemeyer

  • Description modified (diff)

comment:45 Changed 6 years ago by git

  • Commit changed from 55e0bab872322fff53c65929a7d285e6002b63f3 to b326a3c0b4c99752638bfa394e2c7fcd1455e188

Branch pushed to git repo; I updated commit sha1. This was a forced push. New commits:

b326a3cTrac 21005: Upgrade PARI to latest upstream master

comment:46 Changed 6 years ago by jdemeyer

  • Status changed from needs_work to needs_review

Updated again, untested.

comment:47 Changed 6 years ago by vdelecroix

I am launching test on librae...

comment:48 Changed 6 years ago by vdelecroix

not able to build

[sagelib-7.3.beta9] [  1/232] Cythonizing sage/libs/pari/gen.pyx
[sagelib-7.3.beta9] 
[sagelib-7.3.beta9] Error compiling Cython file:
[sagelib-7.3.beta9] ------------------------------------------------------------
[sagelib-7.3.beta9] ...
[sagelib-7.3.beta9]         """
[sagelib-7.3.beta9]         cdef GEN _L = L.g
[sagelib-7.3.beta9]         if not precision:
[sagelib-7.3.beta9]             precision = default_bitprec()
[sagelib-7.3.beta9]         sig_on()
[sagelib-7.3.beta9]         cdef long _ret = lfunorderzero(_L, m, precision)
[sagelib-7.3.beta9]                                      ^
[sagelib-7.3.beta9] ------------------------------------------------------------
[sagelib-7.3.beta9] 
[sagelib-7.3.beta9] sage/libs/pari/auto_gen.pxi:11107:38: Call with wrong number of arguments (expected 2, got 3)
[sagelib-7.3.beta9] Traceback (most recent call last):
[sagelib-7.3.beta9]   File "/home/vincent/sage_patchbot/local/lib/python2.7/site-packages/Cython-0.24.1-py2.7-linux-x86_64.egg/Cython/Build/Dependencies.py", line 1055, in cythonize_one_helper
[sagelib-7.3.beta9]     return cythonize_one(*m)
[sagelib-7.3.beta9]   File "/home/vincent/sage_patchbot/local/lib/python2.7/site-packages/Cython-0.24.1-py2.7-linux-x86_64.egg/Cython/Build/Dependencies.py", line 1037, in cythonize_one
[sagelib-7.3.beta9]     raise CompileError(None, pyx_file)
[sagelib-7.3.beta9] CompileError: sage/libs/pari/gen.pyx

comment:49 Changed 6 years ago by git

  • Commit changed from b326a3c0b4c99752638bfa394e2c7fcd1455e188 to 23dc6d4a918a623ff2fa5a46cecc92a30d573699

Branch pushed to git repo; I updated commit sha1. New commits:

23dc6d4fix lfunorderzero declaration

comment:50 Changed 6 years ago by vdelecroix

Not so bad ;-)

**********************************************************************
File "src/sage/rings/number_field/number_field_element.pyx", line 2306, in sage.rings.number_field.number_field_element.NumberFieldElement.__invert__
Warning, slow doctest:
    beta = ~alpha # long time (about 1:45min on a 2014 MacBook Pro, this used to cause a crash in Sage 7.2)
Test ran for 111.36 s
    [1038 tests, 130.77 s]
----------------------------------------------------------------------
All tests passed!
----------------------------------------------------------------------

comment:51 Changed 6 years ago by vbraun

  • Status changed from needs_review to positive_review

comment:52 Changed 6 years ago by vbraun

  • Milestone changed from sage-7.3 to sage-7.4
  • Status changed from positive_review to needs_work

PDF docs still fail

comment:53 Changed 6 years ago by vdelecroix

Indeed

[docpdf] ! Undefined control sequence.
[docpdf] l.27579 of \(\Hom
[docpdf]                  _G(\Delta, V)\), and let \(p = [a,b] \in \Delta\) be a path...
[docpdf] 

[docpdf] ? ! Undefined control sequence.
[docpdf] l.27586 the fixed basis of \(\Hom
[docpdf]                                  _G(\Delta,V)\) chosen in \(M\); if \(M\) was

[docpdf] ? [338]
[docpdf] Overfull \vbox (1.36996pt too high) detected at line 27680
[docpdf] [339]
[docpdf] ! Undefined control sequence.
[docpdf] l.27726 of the fixed basis of \(\Hom
[docpdf]                                     _G(\Delta,\mathbb{Q})\) chosen in \(M\)).

[docpdf] ? [340] [341]
[docpdf] ! Undefined control sequence.
[docpdf] l.27871 ...odular symbols, the \(G\)-module \(\Hom
[docpdf]                                                   _G(Div^0(\mathbb{P}^1

comment:54 Changed 6 years ago by vdelecroix

  • Description modified (diff)

comment:55 Changed 6 years ago by git

  • Commit changed from 23dc6d4a918a623ff2fa5a46cecc92a30d573699 to 4a866cc05db593eb2a8c9af612d72ade492aa740

Branch pushed to git repo; I updated commit sha1. New commits:

1ef03c4introduce _latex_macro_ for finite rings
b7a9144fix _latex_ for padic and add _latex_macro_
5b88019add _latex_ and _latex_macro_ for Hom
4a866ccUse _latex_macro_ in misc.latex_macros

comment:56 Changed 6 years ago by vdelecroix

The four last commits make available a \Hom macro that is reasonable to have in Sage. I was able to compile the pdf documentation by adding a \Frob macro. But I do not like it so much having it has a globally defined macro: the name "Frob" is ambiguous.

Last edited 6 years ago by vdelecroix (previous) (diff)

comment:57 Changed 6 years ago by vdelecroix

  • Priority changed from blocker to major

Since this is postponed to sage-7.4 it makes sense to let it as major. However, the bug from #21000 is pretty annoying.

comment:58 Changed 6 years ago by vdelecroix

Note that pari announced a stable release for soon:

We have made available a prerelease of PARI 2.8.0 (alpha).

Please test the prerelease tarball:
<http://pari.math.u-bordeaux.fr/pub/pari/snapshots/pari-2.8.0-pre1.alpha.tar.gz>

The expected release date is set to the 12/08/2016.

Isn't it worth it to wait the stable pari release for Sage (with moreover contains bug fixes compared to what we ship)?

comment:59 follow-up: Changed 6 years ago by fbissey

Well this ticket is now marked for sage 7.4 so the stable release will happen before we get to 7.4 if I am reading the date correctly as 12th of Aug 2016.

But seriously, I doubt a stable release will satisfy sage's pari usage for very long. I am expecting Jeroen to move to the next pari development branch not long after the release unless something spectacular happens :)

comment:60 Changed 6 years ago by vdelecroix

I meant getting back the milestone to 7.3 (Volker did the change, see 52).

I hope 12/08/2016 is the 12-th of august and not the 8-th of december ;-) If we do ship pari-2.8, at least Sage-7.4 would match a stable pari release.

comment:61 Changed 6 years ago by vdelecroix

  • Branch changed from public/21005 to u/vdelecroix/21005
  • Commit 4a866cc05db593eb2a8c9af612d72ade492aa740 deleted
  • Status changed from needs_work to needs_review

I am currently testing the branch at 512df36

comment:62 Changed 6 years ago by git

  • Commit set to 512df36e3d387f305bb3bf6a5c6d5d5a9fca7fd8

Branch pushed to git repo; I updated commit sha1. New commits:

dfd2235Trac 21005: new pari release
a8f7a20Trac 21005: update paridecl.pxd
512df36Trac 21005: fix pari doc

comment:63 Changed 6 years ago by vdelecroix

  • Description modified (diff)

comment:64 Changed 6 years ago by vdelecroix

Ok. For the pdfdoc a naive substitution "@[startlword]Hom@[endlword]" -> "\\text{Hom}" and "@[startlword]Frob@[endlword]" -> "\text{Frob}" was enough. I guess it is better that way than the approach from my previous commits (​1ef03c4, ​b7a9144, ​5b88019, ​4a866cc).

comment:65 Changed 6 years ago by vdelecroix

At least the html doc and the pdf doc build and tests pass in sage/libs/pari/!

comment:66 Changed 6 years ago by jdemeyer

Upstream is preparing a release(!) of PARI version 2.8.0.

Given that this ticket is no longer a blocker, I would actually suggest to wait for that release and package that.

Edit: never mind, I see you already posted this above

Last edited 6 years ago by jdemeyer (previous) (diff)

comment:67 in reply to: ↑ 59 Changed 6 years ago by jdemeyer

Replying to fbissey:

I am expecting Jeroen to move to the next pari development branch not long after the release unless something spectacular happens :)

Exactly. The last non-bugfix release of PARI (version 2.7.0) was 21 march 2014. More than 2 years between releases is a really long time, especially because PARI is quite actively developed.

comment:68 Changed 6 years ago by jdemeyer

  • Report Upstream changed from Fixed upstream, but not in a stable release. to Fixed upstream, in a later stable release.
  • Summary changed from update pari to new upstream snapshot to Update pari to version 2.8.0

comment:69 Changed 6 years ago by jdemeyer

Did anybody run full doctests already with this new PARI? I did not do that yet.

comment:70 Changed 6 years ago by jdemeyer

OK. I will run make ptestlong.

comment:71 Changed 6 years ago by jdemeyer

Works fine for me. Let's wait until 2.8.0 is really released and then this is good to go I hope...

comment:72 Changed 6 years ago by jpflori

  • Cc jpflori added

comment:73 Changed 6 years ago by jdemeyer

  • Description modified (diff)
  • Status changed from needs_review to needs_work

comment:74 Changed 6 years ago by jdemeyer

  • Branch changed from u/vdelecroix/21005 to u/jdemeyer/21005

comment:75 Changed 6 years ago by jdemeyer

  • Commit changed from 512df36e3d387f305bb3bf6a5c6d5d5a9fca7fd8 to 9cf577602f84622d6fcceb10c6caa929ac4971bb
  • Status changed from needs_work to needs_review

New commits:

45e9053Trac 21005: new pari release
36fdef4Trac 21005: update paridecl.pxd
9cf5776Trac 21005: fix pari doc

comment:76 Changed 6 years ago by jdemeyer

Passes all tests.

comment:77 Changed 6 years ago by fbissey

Does it pass make bench properly for you? I have annoying formatting issues like

*** ../src/test/32/polyser      2016-04-09 02:36:45.000000000 +1200
--- gp.out      2016-08-15 09:17:49.995201272 +1200
***************
*** 19,25 ****
  xx
  ? factorpadic(apol,7,8)
  
! [(1 + O(7^8))*y + (6 + 2*7^2 + 2*7^3 + 3*7^4 + 2*7^5 + 6*7^6 + O(7^8)) 1]
  
  [(1 + O(7^8))*y^2 + (1 + 6*7 + 4*7^2 + 4*7^3 + 3*7^4 + 4*7^5 + 6*7^7 + O(7^8
  ))*y + (6 + 5*7 + 3*7^2 + 6*7^3 + 7^4 + 3*7^5 + 2*7^6 + 5*7^7 + O(7^8)) 1]
--- 19,26 ----
  xx
  ? factorpadic(apol,7,8)
  
! [                                                                           
!   (1 + O(7^8))*y + (6 + 2*7^2 + 2*7^3 + 3*7^4 + 2*7^5 + 6*7^6 + O(7^8)) 1]
  
  [(1 + O(7^8))*y^2 + (1 + 6*7 + 4*7^2 + 4*7^3 + 3*7^4 + 4*7^5 + 6*7^7 + O(7^8
  ))*y + (6 + 5*7 + 3*7^2 + 6*7^3 + 7^4 + 3*7^5 + 2*7^6 + 5*7^7 + O(7^8)) 1]
***************
*** 150,153 ****
  name
  ? if(getheap()!=HEAP,getheap())
  ? print("Total time spent: ",gettime);
! Total time spent: 0
--- 151,154 ----
  name
  ? if(getheap()!=HEAP,getheap())
  ? print("Total time spent: ",gettime);
! Total time spent: 10

comment:78 Changed 6 years ago by jdemeyer

I tested in Sage with SAGE_CHECK=yes which runs the full testsuite and it passed.

comment:79 Changed 6 years ago by jdemeyer

Apart from that, it also passes make bench outside of Sage.

Maybe report your problem upstream?

comment:80 Changed 6 years ago by jdemeyer

For me, this ticket is good. If Vincent (or anybody else) agrees, we can set this ticket to positive_review.

comment:81 Changed 6 years ago by fbissey

I always have problems of formatting with the tests in sage-on-gentoo. But make bench has been ok before, The full testsuite usually reports failure because my output is formatted in 132 columns (guess) while pari seems to expect it to be formatted in 80 columns. Those bizarre line jump in make bench are new.

Otherwise I am ok with the ticket, but I thought we were waiting for 2.8.0 final.

comment:82 Changed 6 years ago by vdelecroix

  • Status changed from needs_review to positive_review

the doc building is slightly worse... (but at least it fixes some bug)

comment:83 Changed 6 years ago by vbraun

  • Branch changed from u/jdemeyer/21005 to 9cf577602f84622d6fcceb10c6caa929ac4971bb
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.